/***************************************************************************
 *   Copyright (C) 2004 by Robin Atwood                                    *
 *   robin.atwood@attglobal.net                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KPSVIEW_H_
#define _KPSVIEW_H_

#include <qwidget.h>
#include <qstring.h>

#include <qtreewidget.h>
#include <qheaderview.h>

enum col_names { CMD_COL, PID_COL, USER_COL, CPU_COL, MEM_COL, VSZ_COL, RSS_COL,
								 NICE_COL, STAT_COL, STARTED_COL, ARG_COL };

static const char outFields[] = "comm,pid,user,%cpu,%mem,vsz,rss,nice,stat,start_time,args";
								 
/**
 * This is the main view class for KPS.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * This kps uses an HTML component as an example.
 *
 * @short Main view
 * @author Robin Atwood <robin.atwood@attglobal.net>
 * @version 0.1
 */
class KPSView : public QTreeWidget
{
//    Q_OBJECT
public:
	/**
	 * Default constructor
	 */
    KPSView(QWidget *parent);

	/**
	 * Destructor
	 */
    virtual ~KPSView();


private:
};

#endif // _KPSVIEW_H_
